package de.ipk.pdwExpress.curator.curator;

import java.util.List;
import java.util.Vector;

import de.ipk.pdwExpress.persistence.model.ExternDB;
import de.ipk.pdwExpress.persistence.model.Term;
import de.ipk.pdwExpress.persistence.model.TrmCategory;
import de.ipk.pdwExpress.persistence.model.TrmReplace;

public class CuratorTestImpl extends AbstractCurator {
	
	private static int counter =0;

	@Override
	public List<Term> getTermsToEdit() {

		List<Term> terms = new Vector<Term>();

		for (int i = 1; i < 9; i++)
			terms.add(getDummyTerm());
			

		return terms;
	}

	@Override
	public TrmReplace transformTerm(Term termSource) {
		
		List<Term> terms = new Vector<Term>();

//		Term t= new Term(new EditingSession(),termSource.getTrmCategory(), termSource.getTrmValue()+" A");
//		t.setTrmId(new Integer(termSource.getTrmId().intValue()*10));
//		terms.add(t);
//
//		Term t2 =new Term(new EditingSession(),termSource.getTrmCategory(), termSource.getTrmValue()+" B");
//		t2.setTrmId(new Integer(termSource.getTrmId().intValue()*10+1));
//		terms.add(t2);
		

		TrmReplace r = new TrmReplace();
		r.setSourceTerm(termSource);
		r.setDestinationTerms(terms);
		
		
		return r;
	}
	
	public static Term getDummyTerm(){
		
		counter++;
		
		TrmCategory tc = new TrmCategory("category "+counter,"catDesc",0);
		tc.setTctId(new Integer(0));
		
		ExternDB edb = new ExternDB("database 3","www");
		edb.setEdbId(new Integer(3));
		
		Term t = new Term();
		t.setTrmId(counter);
		t.setTrmValue("testValue "+counter);
		t.setTrmEdbacc("Acc "+counter);
		t.setTrmDesc("desc "+counter);
		t.setExterndb(edb);
		t.setTrmCategory(tc);
		
		return t;
	}

	public String getName() {
		return "Test";
	}

	public String getShortDescription() {
		return "Test";
	}	

}
