package de.ipk.pdwExpress.curator.view.editpanel;

import java.util.Vector;

import javax.swing.Action;

import de.ipk.pdwExpress.curator.view.viewPanel.IViewPanelGUI;
import de.ipk.pdwExpress.persistence.model.ExternDB;
import de.ipk.pdwExpress.persistence.model.TrlType;
import de.ipk.pdwExpress.persistence.model.TrmCategoryTree;

public interface IEditPanelGUI extends IViewPanelGUI {

	public void setAddDestAction(Action a);
	
	public void setRemoveDestAction(Action a);
	
	public void setAddSourceAction(Action a);
	
	public void setRemoveSourceAction(Action a);
	
	public void setTrlTypeSelectedAction(Action a);
	
	public void setAvailableTrlTypes(Vector<TrlType> types);
	
	public void setAvailableDatabases(Vector<ExternDB> dbs);

	public void setRootCategory(TrmCategoryTree rootCat);	
}
