package de.ipk.pdwExpress.curator.view.renderer;

import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

import de.ipk.pdwExpress.persistence.model.TrlType;

public class TrlTypeListCellRenderer implements ListCellRenderer {
	private JLabel lbl = new JLabel();

	public Component getListCellRendererComponent(JList list, Object value,
			int index, boolean isSelected, boolean cellHasFocus) {
		
		String text;
		
		if (value != null)
			text = ((TrlType) value).getRtyName()+" ("+((TrlType) value).getRtyShort()+")";
		else
			text = "";
		lbl.setText(text);
		return lbl;
	}

}
