package de.ipk.pdwExpress.curator.view.selecttree.nodeRenderer;

import java.util.Vector;

import de.ipk.pdwExpress.persistence.model.TrmCategory;

public class CategoryNodeDetailsRenderer implements INodeDetailsRenderer<TrmCategory,String> {

	private static final Vector<String> columnIdentifiers = new Vector<String>(2);
	
	static{
		columnIdentifiers.add("Attribute");
		columnIdentifiers.add("Value");
	}
	
	public CategoryNodeDetailsRenderer(){
		
	}
	public Vector<Vector<Object>> getNodeView(TrmCategory node) {
		
		Vector<Vector<Object>> all = new Vector<Vector<Object>>(4);
		Vector<Object> row;
		
		row = new Vector<Object>(2);	
		row.add("ID");
		row.add(node.getTctId());
		all.add(row);
		
		row = new Vector<Object>(2);
		row.add("Name");
		row.add(node.getTctName());
		all.add(row);
				
		row = new Vector<Object>(2);
		row.add("isManyToMany");
		row.add(node.getTctMany());
		all.add(row);
		
		row = new Vector<Object>(2);
		row.add("Desc");
		row.add(node.getTctDesc());
		all.add(row);
		
		return all;
	}

	public Vector<String> getColumnHeaders() {
		return columnIdentifiers;
	}

	public String getDetailItem(int i) {
		throw new UnsupportedOperationException();
	}

}
