package de.ipk.pdwExpress.ols.view;

import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JTree;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.DefaultTreeCellRenderer;

import org.apache.log4j.Logger;

import de.ipk.pdwExpress.ols.model.OlsTerm;

public class OlsTermTreeCellRenderer extends DefaultTreeCellRenderer {
	
	protected Logger logger;
	
	public OlsTermTreeCellRenderer(){
		this.logger=Logger.getLogger(this.getClass());
	}

	@Override
	public Component getTreeCellRendererComponent(JTree tree, Object value, boolean sel, boolean expanded, boolean leaf, int row, boolean hasFocus) {
		
		JLabel comp =  (JLabel) super.getTreeCellRendererComponent(tree, value, sel, expanded, leaf, row, hasFocus);
		
		comp.setText( ((OlsTerm)  ((DefaultMutableTreeNode)value).getUserObject()).getTerm_name() );
		return this;
//		if (value instanceof TreeNode ){
//			this.setText(((OLSTerm)value).getTerm_name());
//			return this;
//		}else{
//			logger.warn("OLSTerm expected. found:"+value.getClass());
//			return super.getTreeCellRendererComponent(tree, value, sel, expanded, leaf, row, hasFocus);
//		}
	}

}
