package de.ipk.pdwExpress.persistence.dataAccess;

import java.sql.Connection;
import java.util.List;

import org.hibernate.Session;
import org.hibernate.Transaction;
import org.hibernate.criterion.Restrictions;

import de.ipk.pdwExpress.persistence.model.Term;
import de.ipk.pdwExpress.persistence.model.TrmCategory;
import de.ipk.pdwExpress.persistence.model.TrmCategoryTree;

public class TrmCategoryDAO extends AbstractDAO<TrmCategory> {

	
	public List<TrmCategory> getByName(String tctName,Connection con){
		Session s =HibernateUtil.getSession(con);
		Transaction transaction =s.beginTransaction();
		List<TrmCategory> tcts= s.createCriteria(TrmCategory.class).add(Restrictions.eq("tctName", tctName)).list();
		transaction.commit();
		s.close();
		return tcts;
	}

	public TrmCategoryTree getRootCategoryTree(Connection con) {

		Session s =HibernateUtil.getSession(con);
		Transaction transaction =s.beginTransaction();
		
//		List<TrmCategoryTree> allTCT;
//		List<Term> termsOfCat;

//		allTCT =
		TrmCategoryTree tct = (TrmCategoryTree) s.createCriteria(TrmCategoryTree.class).add(Restrictions.eq("tctName", "ROOT")).uniqueResult();

//		if (allTCT == null || allTCT.size() == 0)
//			return null;

		transaction.commit();
		s.close();
		
//		return allTCT.get(0);
		return tct;
	}



}
