package de.ipk.pdwExpress.curator.curator;

import de.ipk.pdwExpress.curator.CuratorApp;
import de.ipk.pdwExpress.ols.connection.IOlsDao;
import de.ipk.pdwExpress.ols.connection.OlsDaoImpl;

public abstract class AbstractCuratorUsingOls extends AbstractCurator {

	private IOlsDao olsDaoImpl;
	
	protected IOlsDao getOlsDaoImpl() {
		if (olsDaoImpl ==null){
			try {
				olsDaoImpl=CuratorApp.getOlsDao();
			} catch (Exception e) {
				logger.fatal("Can't connect to OLS.");
				e.printStackTrace();
				return null;
			}
		}
		return olsDaoImpl;
	}

}
