package de.ipk.pdwExpress.curator.view.panels;

import java.awt.Frame;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;

import org.apache.log4j.Logger;

public class AboutDialog extends JDialog  {

	protected final Logger logger;

	private static final long serialVersionUID = 1L;

	private JPanel jContentPane = null;

	private JButton bnOK = null;



	public AboutDialog(){
		this(null);
		
	}
	/**
	 * @param owner
	 */
	public AboutDialog(Frame owner) {
		super(owner,true);
		
		logger = Logger.getLogger(this.getClass());
		
		initialize();
		
		this.pack();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(358, 216);
		this.setTitle("About");
		this.setContentPane(getJContentPane());
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			GridBagConstraints gridBagConstraints = new GridBagConstraints();
			gridBagConstraints.gridx = 0;
			gridBagConstraints.insets = new Insets(0, 0, 12, 0);
			gridBagConstraints.gridy = 2;
			
			GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
			gridBagConstraints1.gridx = 0;
			gridBagConstraints1.gridy = 1;
			gridBagConstraints1.insets=new Insets(12,12,12,12);
			jContentPane = new JPanel();
			jContentPane.setLayout(new GridBagLayout());
			jContentPane.add(getBnOK(), gridBagConstraints);
			jContentPane.add(new AboutPanel(), gridBagConstraints1);
		}
		return jContentPane;
	}

	/**
	 * This method initializes bnOK	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getBnOK() {
		if (bnOK == null) {
			bnOK = new JButton();
			bnOK.setText("Ok");
			this.getRootPane().setDefaultButton(bnOK);			
			bnOK.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					dispose();
				}
			});
		}
		return bnOK;
	}

}  //  @jve:decl-index=0:visual-constraint="10,-5"
