package de.ipk.pdwExpress.curator.view.renderer;

import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JTree;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.DefaultTreeCellRenderer;

import de.ipk.pdwExpress.persistence.model.TrmCategory;

public class TrmCategoryTreeCellRenderer extends DefaultTreeCellRenderer {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public TrmCategoryTreeCellRenderer() {
	}

	@Override
	public Component getTreeCellRendererComponent(JTree tree, Object value, boolean sel, boolean expanded, boolean leaf, int row, boolean hasFocus) {

		JLabel lbl = (JLabel)super.getTreeCellRendererComponent(tree, value, sel, expanded, leaf,row, hasFocus);
		
		TrmCategory tct = (TrmCategory) ((DefaultMutableTreeNode)value).getUserObject();
		if (tct == null)
			lbl.setText("");
		else
			lbl.setText(tct.getTctName());
		
		return lbl;
	}

}
