package de.ipk.pdwExpress.ols.exec;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

import javax.swing.JDialog;

import de.ipk.pdwExpress.ols.connection.OlsDaoImpl;
import de.ipk.pdwExpress.ols.view.OlsTreePanel;

/**
 * Testclass to execute OlsTreePanel
 * @author Thomas Rutkowski
 *
 */
public class ExecPanel {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		ExecPanel exec = new ExecPanel();
		
		try {
			OlsDaoImpl dao = new OlsDaoImpl(exec.getConnection());
			OlsTreePanel panel = new OlsTreePanel(dao);
//			panel.setRootNode(dao.getOntologyRootNode(null));
			
			JDialog d = new JDialog();
			d.setDefaultCloseOperation(JDialog.EXIT_ON_CLOSE);
			d.getContentPane().add(panel);
			d.pack();
			d.setVisible(true);
						
		} catch (SQLException e) {
			e.printStackTrace();
		}


	}
	

	private Connection getConnection(){
		Connection con=null;
		try {
			Class.forName("oracle.jdbc.driver.OracleDriver");
			con = DriverManager.getConnection("jdbc:oracle:thin:@pgrc.ipk-gatersleben.de:1521:genophen" , "batex_ro", "batex");
			
		} catch (SQLException e) {
			e.printStackTrace();
			return null;
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		}		
		return con;
	}	

}
