package de.ipk.pdwExpress.ols.model;

import java.util.Date;

public class OlsOntology {
	
	private String shortName;
	private String fullName;
	private String version;
	private String definition;
	private Date loadDate;
	private String queryURL;
	private Integer ontologyID;
	private boolean fullyLoaded;
	
	public OlsOntology(OlsOntology ontology) {
		shortName = ontology.shortName;
		fullName = ontology.fullName;
		version = ontology.version;
		definition = ontology.definition;
		loadDate = ontology.loadDate;
		queryURL = ontology.queryURL;
		ontologyID = ontology.ontologyID;
		fullyLoaded = ontology.fullyLoaded;		
	}
	
	public OlsOntology() {
		
	}

	public String getDefinition() {
		return definition;
	}
	public void setDefinition(String definition) {
		this.definition = definition;
	}
	public String getFullName() {
		return fullName;
	}
	public void setFullName(String fullName) {
		this.fullName = fullName;
	}
	public boolean isFullyLoaded() {
		return fullyLoaded;
	}
	public void setFullyLoaded(boolean fullyLoaded) {
		this.fullyLoaded = fullyLoaded;
	}
	public Date getLoadDate() {
		return loadDate;
	}
	public void setLoadDate(Date loadDate) {
		this.loadDate = loadDate;
	}
	public String getShortName() {
		return shortName;
	}
	public void setShortName(String shortName) {
		this.shortName = shortName;
	}
	public String getVersion() {
		return version;
	}
	public void setVersion(String version) {
		this.version = version;
	}
	public String getQueryURL() {
		return queryURL;
	}
	public  void setQueryURL(String queryURL) {
		this.queryURL = queryURL;
	}
	public Integer getOntologyID() {
		return ontologyID;
	}
	public void setOntologyID(Integer ontologyID) {
		this.ontologyID = ontologyID;
	}
	
	
	

}
