package de.ipk.pdwExpress.ols.view;

import java.awt.Component;

import javax.swing.DefaultListCellRenderer;
import javax.swing.JLabel;
import javax.swing.JList;

import org.apache.commons.lang.StringUtils;

import de.ipk.pdwExpress.ols.model.OntologyRoot;

public class OntologyRootListCellRenderer extends DefaultListCellRenderer {

	private static final long serialVersionUID = 1L;

	@Override
	public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus) {

		JLabel label =  (JLabel) super.getListCellRendererComponent(list, value, index, isSelected,cellHasFocus);
		
		OntologyRoot ontRoot =((OntologyRoot)value);
		
		if (ontRoot != null && label != null){
			label.setText( StringUtils.rightPad(ontRoot.getShortName(), 5)+"  "+ontRoot.getRootTerm().getTerm_name() );
		}
		
		return this;
	}

}
