package de.ipk.pdwExpress.persistence.dataAccess;

import java.sql.Connection;

import org.apache.log4j.Logger;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;

public class HibernateUtil {
	
	protected static Logger logger;
	
	private static final SessionFactory sessionFactory;

	static { 
		logger = Logger.getLogger("de.ipk.pdwExpress.persistence.dataAccess.HibernateUtil");
		try {

			sessionFactory = new Configuration().configure().buildSessionFactory();
		} catch (Throwable ex) {
			// Make sure you log the exception, as it might be swallowed
			String m="Initial SessionFactory creation failed." + ex;
			logger.fatal(m);
			System.err.println(m);
			throw new ExceptionInInitializerError(ex);
		}
	}

	protected static SessionFactory getSessionFactory() {
		return sessionFactory;
	}
//
//	public static Session getCurrentSession() {
//		return getSessionFactory().getCurrentSession();
//	}
//	
	public static Session getSession(Connection con){
		return  sessionFactory.openSession(con);
	}
	
//	
//	
//	static {
//		logger = Logger.getLogger("de.ipk.pdwExpress.persistence.dataAccess.HibernateUtil");
//		try {
//			// Create the SessionFactory from hibernate.cfg.xml
//			sessionFactory = new Configuration().configure().buildSessionFactory();
//		} catch (Throwable ex) {
//			// Make sure you log the exception, as it might be swallowed
//			String m="Initial SessionFactory creation failed." + ex;
//			logger.fatal(m);
//			System.err.println(m);
//			throw new ExceptionInInitializerError(ex);
//		}
//	}
//
//	public static SessionFactory getSessionFactory() {
//		return sessionFactory;
//	}
//	
//	public static Session getAppSession() {
//		return getSessionFactory().getCurrentSession();
//	}
//	
//	public static void closeAppSession(){
//		logger.debug("Closing conection.");
//		try{
//			if (!HibernateUtil.getSessionFactory().isClosed())	{
//				logger.debug("try to close");
//				getAppSession().close();
//				logger.debug("closed.");
//			}
//		}catch(Exception e){
//			logger.error("Error while closing connection "+e);
//		}
//	}
}
